%define name pam_smb
%define ver 1.1.6
%define rel 4ml

Summary: PAM module for SMB authentication
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Networking/Tools
Source0: ftp://ftp.samba.org/pub/samba/pam_smb/pam_smb-%{version}.tar.gz
Patch1: pam_smb-1.1.7.patch
URL: http://www.sourceforge.net/projects/pamsmb/
Buildroot: /var/tmp/%{name}-%{ver}-root
Serial: 2003090101
#NoSource: 0


%description
pam_smb is a PAM module which allows authentication of UNIX users using an
NTserver.

%changelog
* Mon Sep  1 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- Fix buffer overflow(CAN-2003-0686) (Patch No.1)

* Tue Oct 24 2000 Go Taniguchi <go@turbolinux.co.jp>
- Serial changed 2001000001, It's old version's serial ploblem.
- Please incliment from 2001000001 in 2000 year.

* Tue Sep 26 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- up to 1.1.6

%prep

%setup -q -n pam_smb
%patch1 -p1 -b .strcpy

%build
CFLAGS=$RPM_OPT_FLAGS ./configure
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/security
/usr/bin/install -m755 pam_smb_auth.so $RPM_BUILD_ROOT/lib/security

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING CHANGES TODO pam_smb.conf.example
/lib/security/pam_smb_auth.so
